Bug 222157 - New port: net-im/gitterdone Qt5 Gitter front end
Summary: New port: net-im/gitterdone Qt5 Gitter front end
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-09 01:50 UTC by q5sys
Modified: 2017-11-06 07:41 UTC (History)
1 user (show)

See Also:


Attachments
diff file (5.90 KB, patch)
2017-09-09 01:50 UTC, q5sys
no flags Details | Diff
diff file (5.85 KB, patch)
2017-09-13 18:08 UTC, q5sys
no flags Details | Diff
shar file as requested (4.62 KB, text/plain)
2017-10-03 17:09 UTC, q5sys
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description q5sys 2017-09-09 01:50:24 UTC
Created attachment 186185 [details]
diff file

A Qt5 front-end to the "Gitter" communications system
Comment 1 Marcelo Araujo freebsd_committer 2017-09-12 14:45:40 UTC
Taking it.
Comment 2 q5sys 2017-09-13 18:08:58 UTC
Created attachment 186347 [details]
diff file

Update diff per Marcelo's suggestions
Comment 3 Marcelo Araujo freebsd_committer 2017-09-22 05:49:10 UTC
Hey,

Sorry my late reply, I'm dealing with jetlag!
As it is a new port, could you please, use shar and submit it again?

Ref: https://www.freebsd.org/doc/en/books/porters-handbook/porting-submitting.html

Section: Example 3.2.
Comment 4 q5sys 2017-10-03 17:09:02 UTC
Created attachment 186884 [details]
shar file as requested
Comment 5 q5sys 2017-10-03 17:25:57 UTC
[q5sys@skynet] /usr/ports/net-im/gitterdone# portlint -c
WARN: Consider to set DEVELOPER=yes in /etc/make.conf
0 fatal errors and 1 warning found.

portlint -a does give a bunch of errors of:
WARN: /usr/ports/net-im/gitterdone/pkg-plist: [i]: If and only if your port is DATADIR-safe (that is, a user can override DATADIR when building this port and the port will still work correctly) consider using DATADIR macro; if you are unsure if this port is DATADIR-safe, then ignore this warning
Comment 6 commit-hook freebsd_committer 2017-11-06 07:40:50 UTC
A commit references this bug:

Author: araujo
Date: Mon Nov  6 07:40:23 UTC 2017
New revision: 453595
URL: https://svnweb.freebsd.org/changeset/ports/453595

Log:
  GitterDone: A Qt5 front-end to the "Gitter" communications system

  WWW: https://github.com/trueos/gitterdone

  PR:		222157
  Submitted by:	q5sys <jt@ixsystems.com>
  Sponsored by:	iXsystems, Inc.

Changes:
  head/net-im/Makefile
  head/net-im/gitterdone/
  head/net-im/gitterdone/Makefile
  head/net-im/gitterdone/distinfo
  head/net-im/gitterdone/pkg-descr
  head/net-im/gitterdone/pkg-plist
Comment 7 Marcelo Araujo freebsd_committer 2017-11-06 07:41:42 UTC
Committed thanks!